import React, { useEffect, useState } from 'react'
import { Table } from 'antd'
import styled from 'styled-components'
import { JsonEditor as Editor } from 'jsoneditor-react'
import 'jsoneditor-react/es/editor.min.css'

const DataTable = styled.div`
  .table-style {
    .ant-table-thead {
      > tr {
        > th {
          background: #e3eefd !important;
        }
      }
    }
  }
`

export default function DataTableStruct({ currentStep, tableData, datax }) {
  const [jsonData, setjsonData] = useState(null)
  const columns = [
    {
      title: '序号',
      dataIndex: 'id',
      key: 'id',
    },
    {
      title: '字段',
      dataIndex: 'field',
      key: 'field',
    },
    {
      title: '类型',
      dataIndex: 'type',
      key: 'type',
    },
  ]

  const changeJson = value => {
    setjsonData(value)
  }

  useEffect(() => {
    setjsonData(datax)
  }, [datax])

  let content = (
    <Table columns={columns} dataSource={tableData} className={'table-style'} />
  )
  if (currentStep === 3) {
    content = <Editor value={jsonData} onChange={changeJson} />
  }

  return <DataTable>{content}</DataTable>
}
